/// <reference types="react" />
import { UseTabParameters, UseTabRootSlotProps } from './useTab.types';
import { EventHandlers } from '../utils';
/**
 *
 * Demos:
 *
 * - [Unstyled Tabs](https://mui.com/base/react-tabs/#hooks)
 *
 * API:
 *
 * - [useTab API](https://mui.com/base/api/use-tab/)
 */
declare function useTab(parameters: UseTabParameters): {
    selected: boolean;
    focusVisible: boolean;
    setFocusVisible: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    disabled: boolean;
    active: boolean;
    getRootProps: <TOther extends EventHandlers>(otherHandlers?: TOther) => UseTabRootSlotProps<TOther>;
};
export default useTab;
