import * as React from 'react';
import { UseTabsListParameters, UseTabsListRootSlotProps } from './useTabsList.types';
import { EventHandlers } from '../utils';
/**
 *
 * Demos:
 *
 * - [Unstyled Tabs](https://mui.com/base/react-tabs/#hooks)
 *
 * API:
 *
 * - [useTabsList API](https://mui.com/base/api/use-tabs-list/)
 */
declare function useTabsList(parameters: UseTabsListParameters): {
    isRtl: boolean;
    orientation: "horizontal" | "vertical";
    value: string | number | false;
    processChildren: () => React.ReactElement<any, string | React.JSXElementConstructor<any>>[] | null | undefined;
    getRootProps: <TOther extends EventHandlers = {}>(otherHandlers?: TOther) => UseTabsListRootSlotProps<TOther>;
};
export default useTabsList;
